Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class SubjectAttribute

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.Subject
                  |
                  +--spki.SubjectAttribute

public class SubjectAttribute
extends Subject

SPKI SubjectAttribute class.

Formal definitions:

     <subject-attr>:: "(" "subject" <subj-attr-obj> ")" ;

Version:
  $Id: SubjectAttribute.java,v 1.9 2002/06/24 18:03:20 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>
See Also:
  `Subject`, `SubjAttributeObj`

Field Summary
`private static String` | `__ME` This class's full name.

Fields inherited from class spki.Subject
`__ME, dirty, MIN_THRESHOLD, reduceonly, SEXP_NAME, subj_obj, subj_obj_sexp, subj_objs, thresh, thresh_scheme, THRESHOLD_SEXP_NAME`

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`protected` | `SubjectAttribute()` Don't use me!
`` | `SubjectAttribute(SExpression sexp)` Create an immutable SubjectAttribute object from an S-Expression.
`` | `SubjectAttribute(SubjAttributeObj subject)` Create an immutable SubjectAttribute object from a given subj-attr-obj.

Method Summary
`static SubjAttributeObj` | `getSubjAttributeObj(SExpression sexp)` Get an instance of a SubjAttributeObj from given S-Expression.

Methods inherited from class spki.Subject
`getSubjACL, getSubjObj, getSubjObjs, getSubjObjsLength, getThreshold, getThresholdSchemeId, rSubjObjs2SExpression, setSubjObj, setThreshold, toSExpression`

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

Constructor Detail

### SubjectAttribute

    protected SubjectAttribute()

  Don't use me!
  See Also:
    `SubjectAttribute(SExpression)`, `SubjectAttribute(SubjAttributeObj)`

### SubjectAttribute

    public SubjectAttribute(SExpression sexp)
                     throws SPKIException,
                            ParseException

  Create an immutable SubjectAttribute object from an S-Expression.
  See Also:
    `Subject.Subject(SExpression)`

### SubjectAttribute

    public SubjectAttribute(SubjAttributeObj subject)
                     throws SPKIException

  Create an immutable SubjectAttribute object from a given subj-attr-obj.
  Parameters:
    `subject` - the subj-attr-obj.
  See Also:
    `SubjAttributeObj`

Method Detail

### getSubjAttributeObj

    public static final SubjAttributeObj getSubjAttributeObj(SExpression sexp)
                                                      throws ParseException,
                                                             SPKIException

  Get an instance of a SubjAttributeObj from given S-Expression.
  Parameters:
    `sexp` - the SExpression containing a SubjAttributeObj.
  Returns:
    An object instance implementing SubjAttributeObj.
  Throws:
    ParseException - if the argument doesn't contain a SubjAttributeObj.
    SPKIException - if something went wrong.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD